summaryrefslogtreecommitdiff
path: root/app-admin/consul/files/consul.initd
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/consul/files/consul.initd')
-rw-r--r--app-admin/consul/files/consul.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/app-admin/consul/files/consul.initd b/app-admin/consul/files/consul.initd
new file mode 100644
index 000000000000..b36db8aef13c
--- /dev/null
+++ b/app-admin/consul/files/consul.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 2015-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="consul agent"
+extra_started_commands="reload"
+export GOMAXPROCS=${GOMAXPROCS:-2}
+group=${group:-${RC_SVCNAME}}
+user=${user:-${RC_SVCNAME}}
+pidfile=${pidfile:-"/run/${RC_SVCNAME}.pid"}
+command="/usr/bin/${RC_SVCNAME}"
+command_args="agent ${command_args:-config-dir=/etc/consul.d}"
+command_background="true"
+start_stop_daemon_args="--user ${user} --group ${group} \
+ --stdout /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log \
+ --stderr /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log"
+stopsig="SIGINT"
+
+depend() {
+ need net
+}
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME}"
+ ${command} reload
+ eend $?
+}